Page MenuHomePhabricator

[TrustedXFF] Convert TrustedXFF to use extension registration
Closed, ResolvedPublic

Description

The TrustedXFF extension needs to be converted to use the new extension registration system. More details are available on T87875.

Details

Related Gerrit Patches:
mediawiki/extensions/TrustedXFF : masterConvert TrustedXFF to use extension registration

Event Timeline

Legoktm created this task.Jan 30 2015, 2:22 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2015, 2:22 AM
Umherirrender renamed this task from Convert TrustedXFF to use extension registration to [TrustedXFF] Convert TrustedXFF to use extension registration.Sep 13 2015, 8:22 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJul 10 2016, 9:55 PM
MtDu added a subscriber: MtDu.Jul 12 2016, 11:51 AM

I'll take care of this.

Reedy added a subscriber: Reedy.Jul 22 2016, 11:45 AM

If you're planning on still doing this...

$wgTrustedXffFile = $IP . '/cache/trusted-xff.cdb';

still needs to be changeable.. So define it in extension.json (as false), add a registerExtension callback, and ONLY if it's still false by that point. That goes towards mitigating T100956 for now at least

Change 300550 had a related patch set uploaded (by MtDu):
Convert TrustedXFF to use extension registration

https://gerrit.wikimedia.org/r/300550

Change 300550 merged by jenkins-bot:
Convert TrustedXFF to use extension registration

https://gerrit.wikimedia.org/r/300550

Reedy closed this task as Resolved.Jul 24 2016, 3:21 PM
Reedy assigned this task to MtDu.